GrapeIvy (Groovy 5.0.8)

Package: groovy.grape

## [Groovy] Class GrapeIvy

- groovy.grape.GrapeIvy

- All Implemented Interfaces and Traits:
    GrapeEngine

      @AutoFinal
      @CompileStatic
      class GrapeIvy
      extends Object
      implements GrapeEngine

  Implementation supporting `@Grape` and `@Grab` annotations based on Ivy.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Set<String>` | `downloadedArtifacts`
    `boolean` | `enableGrapes`
    `Set<IvyGrabRecord>` | `grabRecordsForCurrDependencies` Stores the IvyGrabRecord(s) for all dependencies in each grab() call.
    `org.apache.ivy.Ivy` | `ivyInstance`
    `Map<ClassLoader, Set<IvyGrabRecord>>` | `loadedDeps`
    `Set<String>` | `resolvedDependencies`
    `org.apache.ivy.core.settings.IvySettings` | `settings`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrapeIvy()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addResolver(Map<String, Object> args)`
    `` | `ClassLoader` | `chooseClassLoader(Map args)`
    `` | `IvyGrabRecord` | `createGrabRecord(Map dep)`
    `` | `Map<String, Map<String, List<String>>>` | `enumerateGrapes()`
    `` | `org.apache.ivy.core.report.ResolveReport` | `getDependencies(Map args, IvyGrabRecord[] grabRecords)`
    `` | `File` | `getGrapeCacheDir()`
    `` | `File` | `getGrapeDir()`
    `` | `File` | `getGroovyRoot()`
    `` | `File` | `getLocalGrapeConfig()`
    `` | `Object` | `grab(String endorsedModule)`
    `` | `Object` | `grab(Map args)`
    `` | `Object` | `grab(Map args, Map[] dependencies)`
    `` | `Map[]` | `listDependencies(ClassLoader classLoader)`
    `` | `void` | `processOtherServices(ClassLoader loader, File f)`
    `` | `void` | `processRunners(InputStream is, String name, ClassLoader loader)`
    `` | `void` | `processSerializedCategoryMethods(InputStream is)`
    `` | `URI[]` | `resolve(Map args, Map[] dependencies)`
    `` | `URI[]` | `resolve(Map args, List depsInfo, Map[] dependencies)`
    `` | `URI[]` | `resolve(ClassLoader loader, Map args, Map[] dependencies)`
    `` | `URI[]` | `resolve(ClassLoader loader, Map args, List depsInfo, Map[] dependencies)`
    `` | `void` | `uninstallArtifact(String group, String module, String rev)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### Set<String> downloadedArtifacts

    - #### boolean enableGrapes

    - #### final Set<IvyGrabRecord> grabRecordsForCurrDependencies

      Stores the IvyGrabRecord(s) for all dependencies in each grab() call.

    - #### org.apache.ivy.Ivy ivyInstance

    - #### final Map<ClassLoader, Set<IvyGrabRecord>> loadedDeps

    - #### Set<String> resolvedDependencies

    - #### org.apache.ivy.core.settings.IvySettings settings

  - ### Constructor Detail

    - #### GrapeIvy()

  - ### Method Detail

    - #### @Override
      void addResolver(@NamedParams(value: [@NamedParam(value: name, type: String, required: true), @NamedParam(value: root, type: String, required: true), @NamedParam(value: m2Compatible, type: Boolean, required: false)])
      Map<String, Object> args)

    - #### ClassLoader chooseClassLoader(Map args)

    - #### IvyGrabRecord createGrabRecord(Map dep)

    - #### @Override
      Map<String, Map<String, List<String>>> enumerateGrapes()

    - #### org.apache.ivy.core.report.ResolveReport getDependencies(Map args, IvyGrabRecord[] grabRecords)

    - #### File getGrapeCacheDir()

    - #### File getGrapeDir()

    - #### File getGroovyRoot()

    - #### File getLocalGrapeConfig()

    - #### @Override
      Object grab(String endorsedModule)

    - #### @Override
      Object grab(Map args)

    - #### @Override
      Object grab(Map args, Map[] dependencies)

    - #### @Override
      Map[] listDependencies(ClassLoader classLoader)

    - #### void processOtherServices(ClassLoader loader, File f)

    - #### void processRunners(InputStream is, String name, ClassLoader loader)

    - #### void processSerializedCategoryMethods(InputStream is)

    - #### @Override
      URI[] resolve(Map args, Map[] dependencies)

    - #### @Override
      URI[] resolve(Map args, List depsInfo, Map[] dependencies)

    - #### URI[] resolve(ClassLoader loader, Map args, Map[] dependencies)

    - #### URI[] resolve(ClassLoader loader, Map args, List depsInfo, Map[] dependencies)

    - #### void uninstallArtifact(String group, String module, String rev)